Create Quote

Create a new FX quote to be used for a conversion. The returned rate includes UQPAY's markup and reflects the final rate applicable within the quote's validity period.

Usage Guidelines

  • A quote is required before executing a currency conversion or cross-currency payout.
  • The generated quote must be used within its validity period (75 seconds), after which a new quote must be requested if needed.
  • Specify both buy_currency and sell_currency, but define only one of either buy_amount or sell_amount. The defined amount represents the dealt (fixed) side, while the other amount will be automatically calculated based on UQPAY's exchange rate.
  • A quote created with a specific transaction_type can only be used for the corresponding operation. Mixing usage is not allowed.
    • conversion quotes must be used with Create Conversion.
    • payout quotes must be used with Create Payout.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The currency being sold.

For cross-currency payout scenarios, this should be the currency in the sender's account.
Example: To pay out SGD from a USD account to a beneficiary, set sell_currency = USD.

string

The amount of sell_currency.

string
required

The currency being bought.

For cross-currency payout scenarios, this should be the currency the beneficiary will receive.
Example: To pay out SGD from a USD account to a beneficiary, set buy_currency = SGD.

string

The amount of buy_currency.

string
required

Specifies the scheduled date when the currency conversion will be executed. This should be a valid business day.

string
enum

Type of transaction.

Show Details
conversionDefault value. Used for currency conversion only.
payoutUsed for cross-currency payouts only.
Allowed:
Headers
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

uuid
required

A unique identifier (UUID) used to maintain operation idempotency, ensuring that repeated executions of the same operation do not result in unintended effects or duplication. It helps preserve data consistency in the face of network errors, retries, or failures.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json